Bug 1658365 - Initiating unresponsive maintainer process (Per FESCo policy)
Summary: Initiating unresponsive maintainer process (Per FESCo policy)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pykwalify
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Chandan Kumar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-11 20:56 UTC by Mike Goodwin
Modified: 2019-02-23 02:07 UTC (History)
5 users (show)

Fixed In Version: python-pykwalify-1.7.0-1.fc28 python-pykwalify-1.7.0-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-23 01:36:14 UTC


Attachments (Terms of Use)

Description Mike Goodwin 2018-12-11 20:56:49 UTC
Per https://docs.fedoraproject.org/en-US/fesco/Policy_for_nonresponsive_package_maintainers/

I have initiated the second step in the unresponsive maintainer policy:

>File a bug against the package in Bugzilla asking for the maintainer to respond. This bug should list the outstanding issues they need to address. This is a must.

Please respond to this ticket affirming or denying your ability to continue maintainership of this package

Comment 1 Mike Goodwin 2018-12-11 20:59:21 UTC
Outstanding issues:

1. Upstream up-to-date is 1.7.0 presently: https://github.com/Grokzen/pykwalify/releases
   This should be present in rawhide and possibly F29

2. F28 needs pykwalify at possibly a lesser version as a dependency to `borgmatic` 

3. EPEL7 needs pykwalify also as a dependency of `borgmatic` (Strangely it was never pushed but made it to bodhi: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-dcca303252)

Comment 2 Chandan Kumar 2018-12-12 03:40:30 UTC
I will update the package soon.

Comment 3 acc-bugzila-readhead 2019-01-17 12:29:35 UTC
Hi, any news on this?
As this is blocking a functional borgmatic (which is used as a backup solution on our systems), I really would like to see this progress so I can have my automated backups back.
Cheers

Comment 4 Nick Cross 2019-01-30 15:29:44 UTC
Chandan - any update on this to upgrade to e.g. 1.7.0 in F29 ?

Comment 5 Marek Goldmann 2019-02-14 13:36:23 UTC
I submitted a PR myself: https://src.fedoraproject.org/rpms/python-pykwalify/pull-request/2

Comment 6 Fedora Update System 2019-02-14 14:07:32 UTC
python-pykwalify-1.7.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5fe6c5cd78

Comment 7 Fedora Update System 2019-02-14 14:07:38 UTC
python-pykwalify-1.7.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9c6acd225b

Comment 8 Mike Goodwin 2019-02-15 00:45:45 UTC
Hi Guys,

When I spoke to Chandan over email about this he expressed a desire to continue maintaining

It wasn't until I started getting alerts today of Marek's activity that I realized he must have added me as a committer. 

Marek, thanks for your contribution (and apparent override), glad to see this moving along.

I should be able to take things from here if necessary and keep the version up-to-date. 


Thanks, 

 - Mike

Comment 9 Fedora Update System 2019-02-15 01:31:15 UTC
python-pykwalify-1.7.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5fe6c5cd78

Comment 10 Fedora Update System 2019-02-15 02:57:14 UTC
python-pykwalify-1.7.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9c6acd225b

Comment 11 Marek Goldmann 2019-02-15 10:27:20 UTC
Hi Mike,

I wasn't aware of any communication between you and Chandan, sorry. I got the impression that this is not moving fast enough and besides this I required 1.6+ to package one tool. I'm of course happy if the package will be maintained by you from now on. It should be hopefully in a good shape now.

Thanks!

--Marek

Comment 12 Marek Goldmann 2019-02-22 07:48:37 UTC
Can I ask maintainers to push these two updates to stable?

https://bodhi.fedoraproject.org/updates/FEDORA-2019-9c6acd225b
https://bodhi.fedoraproject.org/updates/FEDORA-2019-5fe6c5cd78

Thanks!

Comment 13 Mike Goodwin 2019-02-22 08:54:22 UTC
Pushed! Thanks

Comment 14 Fedora Update System 2019-02-23 01:36:14 UTC
python-pykwalify-1.7.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-02-23 02:07:11 UTC
python-pykwalify-1.7.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.